Package org.apache.tomcat.util.descriptor.web

# Class FilterMap

java.lang.Object
org.apache.tomcat.util.descriptor.web.XmlEncodingBase
org.apache.tomcat.util.descriptor.web.FilterMap

All Implemented Interfaces:
  `Serializable`

public class FilterMap extends XmlEncodingBase implements Serializable
Representation of a filter mapping for a web application, as represented in a `<filter-mapping>` element in the deployment descriptor. Each filter mapping must contain a filter name plus either a URL pattern or a servlet name.

Author:
  Craig R. McClanahan
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ASYNC`
  `static final int`
  `ERROR`
  The name of this filter to be executed when this mapping matches a particular request.
  `static final int`
  `FORWARD`
  `static final int`
  `INCLUDE`
  `static final int`
  `REQUEST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addServletName(String servletName)`
  `void`
  `addURLPattern(String urlPattern)`
  `void`
  `addURLPatternDecoded(String urlPattern)`
  `int`
  `getDispatcherMapping()`
  `String[]`
  `getDispatcherNames()`
  `String`
  `getFilterName()`
  `boolean`
  `getMatchAllServletNames()`
  `boolean`
  `getMatchAllUrlPatterns()`
  `String[]`
  `getServletNames()`
  `String[]`
  `getURLPatterns()`
  `void`
  `setDispatcher(String dispatcherString)`
  This method will be used to set the current state of the FilterMap representing the state of when filters should be applied.
  `void`
  `setFilterName(String filterName)`
  `String`
  `toString()`
  Render a String representation of this object.

  ### Methods inherited from class org.apache.tomcat.util.descriptor.web.XmlEncodingBase

  `getCharset, setCharset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ERROR

    public static final int ERROR
    The name of this filter to be executed when this mapping matches a particular request.
    See Also:
      - Constant Field Values

  - ### FORWARD

    public static final int FORWARD
    See Also:
      - Constant Field Values

  - ### INCLUDE

    public static final int INCLUDE
    See Also:
      - Constant Field Values

  - ### REQUEST

    public static final int REQUEST
    See Also:
      - Constant Field Values

  - ### ASYNC

    public static final int ASYNC
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FilterMap

    public FilterMap()

- ## Method Details

  - ### getFilterName

    public String getFilterName()

  - ### setFilterName

    public void setFilterName(String filterName)

  - ### getServletNames

    public String[] getServletNames()

  - ### addServletName

    public void addServletName(String servletName)

  - ### getMatchAllUrlPatterns

    public boolean getMatchAllUrlPatterns()

  - ### getMatchAllServletNames

    public boolean getMatchAllServletNames()

  - ### getURLPatterns

    public String[] getURLPatterns()

  - ### addURLPattern

    public void addURLPattern(String urlPattern)

  - ### addURLPatternDecoded

    public void addURLPatternDecoded(String urlPattern)

  - ### setDispatcher

    public void setDispatcher(String dispatcherString)
    This method will be used to set the current state of the FilterMap representing the state of when filters should be applied.
    Parameters:
      `dispatcherString` - the dispatcher type which should match this filter

  - ### getDispatcherMapping

    public int getDispatcherMapping()

  - ### getDispatcherNames

    public String[] getDispatcherNames()

  - ### toString

    public String toString()
    Render a String representation of this object.
    Overrides:
      `toString` in class `Object`